﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;

public partial class MasterPage : System.Web.UI.MasterPage
{
  protected void Page_Load(object sender, EventArgs e)
  {
    if (!Page.IsPostBack)
    {
      string selectedTheme = Page.Theme;
      HttpCookie preferredTheme = Request.Cookies.Get("PreferredTheme");
      if (preferredTheme != null)
      {
        selectedTheme = preferredTheme.Value;
      }
      if (lstPreferredTheme.Items.FindByValue(selectedTheme) != null)
      {
        lstPreferredTheme.Items.FindByValue(selectedTheme).Selected = true;
      }
    }
    switch (Page.Theme.ToLower())
    {
      case "darkgrey":
        Menu1.Visible = false;
        TreeView1.Visible = true;
        break;
      default:
        Menu1.Visible = true;
        TreeView1.Visible = false;
        break;
    }
  }

  protected void lstPreferredTheme_SelectedIndexChanged(object sender, EventArgs e)
  {
    HttpCookie preferredTheme = new HttpCookie("PreferredTheme");
    preferredTheme.Expires = DateTime.Now.AddMonths(3);
    preferredTheme.Value = lstPreferredTheme.SelectedValue;
    Response.Cookies.Add(preferredTheme);
    Response.Redirect(Request.Url.ToString());
  }
}
