﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Default : BasePage
{
	protected void Page_Load(object sender, EventArgs e)
	{

	}
	protected void ListView1_ItemCreated(object sender, ListViewItemEventArgs e)
	{
		switch (e.Item.ItemType)
		{
			case ListViewItemType.DataItem:
				Button deleteButton = (Button)e.Item.FindControl("DeleteButton");
				deleteButton.Visible = Roles.IsUserInRole("Managers");
				break;
		}
	}

	protected void ListView1_DataBound(object sender, EventArgs e)
	{
		int photoAlbumId = Convert.ToInt32(DropDownList1.SelectedValue);
		using (PlanetWroxDataContext myDatabaseContext = new PlanetWroxDataContext())
		{
			string photoAlbumOwner = (from p in myDatabaseContext.PhotoAlbums
																where p.Id == photoAlbumId
																select p.UserName).Single();

			if (User.Identity.IsAuthenticated &&
									 (User.Identity.Name == photoAlbumOwner || User.IsInRole("Managers")))
			{
				HyperLink1.Visible = true;
				HyperLink1.NavigateUrl = "~/ManagePhotoAlbum.aspx?PhotoAlbumId=" +
																photoAlbumId.ToString();
			}
			else
			{
				HyperLink1.Visible = false;
			}
			// Display user's details
			if (!string.IsNullOrEmpty(photoAlbumOwner))
			{
				ProfileCommon ownerProfile = Profile.GetProfile(photoAlbumOwner);
				lblUserName.Text = photoAlbumOwner;
				lblBio.Text = ownerProfile.Bio;
				plcPhotoAlbumDetails.Visible = true;
			}
			else
			{
				plcPhotoAlbumDetails.Visible = false;
			}
		}
	}
}
