﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class MyProfile : BasePage
{
	protected void Page_Load(object sender, EventArgs e)
	{
		if (!Page.IsPostBack)
		{
			txtFirstName.Text = Profile.FirstName;
			txtLastName.Text = Profile.LastName;
			txtDateOfBirth.Text = Profile.DateOfBirth.ToShortDateString();
			txtBio.Text = Profile.Bio;
		}
	}

	protected void btnSave_Click(object sender, EventArgs e)
	{
		if (Page.IsValid)
		{
			Profile.FirstName = txtFirstName.Text;
			Profile.LastName = txtLastName.Text;
			Profile.DateOfBirth = DateTime.Parse(txtDateOfBirth.Text);
			Profile.Bio = txtBio.Text;

			// Clear the existing list
			Profile.FavoriteGenres.Clear();

			// Now add the selected items
			foreach (ListItem myItem in CheckBoxList1.Items)
			{
				if (myItem.Selected)
				{
					Profile.FavoriteGenres.Add(Convert.ToInt32(myItem.Value));
				}
			}
		}
	}

	protected void CheckBoxList1_DataBound(object sender, EventArgs e)
	{
		foreach (ListItem myItem in CheckBoxList1.Items)
		{
			int currentValue = Convert.ToInt32(myItem.Value);
			if (Profile.FavoriteGenres.Contains(currentValue))
			{
				myItem.Selected = true;
			}
		}
	}
}
